"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const Configstore = require("configstore");
const config = new Configstore("hashnode-cli");
class Goals extends command_1.Command {
    async run() {
        const { flags } = this.parse(Goals);
        const goals = config.get("goals") || [];
        if (flags.new) {
            goals.push(flags.new);
            config.set("goals", goals);
            this.log("New writing goal set");
            return;
        }
        if (goals.length === 0) {
            this.log("No goals set");
            return;
        }
        this.log(goals.join("\n"));
        return;
    }
}
exports.default = Goals;
Goals.description = "Set your writing goals or retreive them";
Goals.flags = {
    help: command_1.flags.help({ char: "h" }),
    new: command_1.flags.string({ char: "n", description: "set a new writing goal" }),
};
